Bug 41152 - Can't restart to Windows 98SE after running Linux
Can't restart to Windows 98SE after running Linux
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-17 16:33 EDT by Mike Hughes
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 08:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Hughes 2001-05-17 16:33:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (Win98; I)

Description of problem:
Executing a reboot from 7.1 and letting LILO start Windows 98SE results in "HIGHMEM.SYS NOT FOUND".
It is necessary to cycle the power or hit hardware reset to restart.  This did not happen with 5.2, 6.0 and 6.2
on the same machine.  I understand that it is due to leaving garbarge in certain memory locations which DOS
and Windows expect to be intact after a warm boot.

How reproducible:
Always

Steps to Reproduce:
1. Shutdown with reboot option from Linux
2.Select Windows boot from LILO
3.
	

Actual Results:  Windows boot aborts.

Expected Results:  Normal boot occurs with earlier versions

Additional info:
Comment 1 Arjan van de Ven 2001-05-17 16:41:56 EDT
Linux should leave all areas reserved by the bios intact.
It's more likely that your harddrive is still in dmamode.
Could you try coldbooting linux with the "ide=nodma" paramter and then
see if you can "warmboot" into Win98 ?
Comment 2 Arjan van de Ven 2001-05-17 16:45:15 EDT
Oh, and please file this as bug at Microsoft ;-)
For years we had to try to boot after their stuff had ruined hardware state,
now it's their time to fix their bugs ;-)
Comment 3 Mike Hughes 2001-05-17 18:33:33 EDT
Adding ide=nodma to the boot has no effect on the reboot.  It does produce "DMA Prevented" in dmesg.  I checked to make sure that
Windows would reboot to itself via this version of LILO and it does.

Microsoft?  Fix their bugs? Surely you jest!  I agree that this is a Microsoft problem but we gotta live with them if we can :(
Comment 4 Arjan van de Ven 2001-05-18 03:59:56 EDT
Ok, next guess; could you try
"reboot=b" on the lilo prompt for linux ?
same for "reboot=c"
Comment 5 Mike Hughes 2001-05-18 08:26:13 EDT
reboot=b and reboot=c do not help with Windows.  I note that reboot=c makes a major change in the way the shutdown sequence occurs.

I know from participation in the Compuserve Linux forum that others have had this prolem with 7.1 but that it is not universal.  It must depend
on the BIOS or hardware.  I have a P-II processor, Intel 440BX support set and Phoenix Plug and Play NoteBIOS with DMI 2.0 support.
PnP OS = Yes.
Comment 6 Arjan van de Ven 2001-05-18 08:34:22 EDT
PnP OS = Yes => Linux configures the hardware. On reboot, Linux does not
unconfigure the hardware..... MSDOS seems to hate that ;)
Comment 7 Alan Cox 2001-05-19 16:06:32 EDT
The BIOS is responsible for reinitialising the hardware. If its failing to boot
the next OS then its a BIOS problem, or the BIOS is initialising it to a valid
but unusual state in which case it is an OS problem

These are common. Quite a few boxes need powercycling between running MS-OS and
other OS.

Note You need to log in before you can comment on or make changes to this bug.